HTTP reference · Powered by Scalar

Cloud Functions v1

From source · 0ea2594 11 HTTP operations

Run examples against your local instance. Use cloudburrow env to confirm its endpoints.

HTTP endpoint list
  • POST /v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}:callcloudfunctions.projects.locations.functions.callImplemented
  • GET /v1/projects/{projectsId}/locations/{locationsId}/functionscloudfunctions.projects.locations.functions.listImplemented
  • POST /v1/projects/{projectsId}/locations/{locationsId}/functionscloudfunctions.projects.locations.functions.createImplemented
  • GET /v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}cloudfunctions.projects.locations.functions.getImplemented
  • PATCH /v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}cloudfunctions.projects.locations.functions.patchImplemented
  • DELETE /v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}cloudfunctions.projects.locations.functions.deleteImplemented
  • POST /v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}:generateDownloadUrlcloudfunctions.projects.locations.functions.generateDownloadUrlImplemented
  • POST /v1/projects/{projectsId}/locations/{locationsId}/functions:generateUploadUrlcloudfunctions.projects.locations.functions.generateUploadUrlImplemented
  • GET /v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}:getIamPolicycloudfunctions.projects.locations.functions.getIamPolicyImplemented
  • POST /v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}:setIamPolicycloudfunctions.projects.locations.functions.setIamPolicyImplemented
  • POST /v1/projects/{projectsId}/locations/{locationsId}/functions/{functionsId}:testIamPermissionscloudfunctions.projects.locations.functions.testIamPermissionsImplemented

Local server http://127.0.0.1:9004